%global modname pypng

Name:               python-pypng
Version:            0.0.18
Release:            %mkrel 1
Summary:            Pure Python PNG image encoder/decoder

License:            MIT
URL:                http://pypi.python.org/pypi/pypng
Source0:            https://github.com/drj11/%{modname}/archive/%{modname}-%{version}.tar.gz

BuildArch:          noarch
Group:              Development/Python
BuildRequires:      python3-devel
BuildRequires:      python3-nose


%global _description\
PyPNG allows PNG image files to be read and written using pure Python.\
\
It's available from github.com https://github.com/drj11/pypng\
\
Documentation is kindly hosted by PyPI http://pythonhosted.org/pypng/

%description %_description

%package -n python3-pypng
Summary:            Pure Python PNG image encoder/decoder
%{?python_provide:%python_provide python3-pypng}

%description -n python3-pypng
PyPNG allows PNG image files to be read and written using pure Python.

It's available from github.com https://github.com/drj11/pypng

Documentation is kindly hosted by PyPI http://pythonhosted.org/pypng/

%prep
%setup -q -n %{modname}-%{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

# Remove the shebang from the main lib
lib=code/png.py
sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
touch -r $lib $lib.new &&
mv $lib.new $lib

2to3 --write --nobackups .

%build
%py3_build

%install
%py3_install

%check
nosetests-3 code/png.py

%files -n python3-pypng
%doc README.txt LICENCE
%{python3_sitelib}/png.py*
%{python3_sitelib}/__pycache__/png*
%{python3_sitelib}/%{modname}-%{version}-*


%changelog
* Fri Aug 21 2020 joequant <joequant> 0.0.18-1.mga8
+ Revision: 1617190
- imported package python-pypng

